observations {bnstruct} | R Documentation

## get the list of observations of an `InferenceEngine`.

### Description

Return the list of observations added to an InferenceEngine.

### Usage

    observations(x)

    ## S4 method for signature 'InferenceEngine'
    observations(x)

### Arguments

`x` | an `InferenceEngine`.

### Details

Output is a list in the following format:

- `observed.vars`vector of observed variables;

- `observed.vals`vector of values observed for the variables in `observed.vars` in the corresponding position.

### Value

the list of observations of the `InferenceEngine`.

[Package bnstruct version 1.0.6 Index]